Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Class CouldNotRouteOutboundMessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException
                          org.mule.api.routing.CouldNotRouteOutboundMessageException

All Implemented Interfaces:
  Serializable

    public class CouldNotRouteOutboundMessageException

extends RoutingException

`CouldNotRouteOutboundMessageException` thrown if Mule fails to route the current outbound event.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.routing.RoutingException
`route`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`CouldNotRouteOutboundMessageException(Message message, MuleEvent event, MessageProcessor target)`
`CouldNotRouteOutboundMessageException(Message message, MuleEvent event, MessageProcessor target, Throwable cause)`
`CouldNotRouteOutboundMessageException(Message message, MuleMessage muleMessage, MessageProcessor target)` Deprecated. use CouldNotRouteOutboundMessageException(Message, MuleEvent, RoutingTarget)
`CouldNotRouteOutboundMessageException(Message message, MuleMessage muleMessage, MessageProcessor target, Throwable cause)` Deprecated.
`CouldNotRouteOutboundMessageException(MuleEvent event, MessageProcessor target)`
`CouldNotRouteOutboundMessageException(MuleEvent event, MessageProcessor target, Throwable cause)`
`CouldNotRouteOutboundMessageException(MuleMessage message, MessageProcessor target)` Deprecated. use CouldNotRouteOutboundMessageException(MuleEvent, RoutingTarget)
`CouldNotRouteOutboundMessageException(MuleMessage muleMessage, MessageProcessor target, Throwable cause)` Deprecated. use CouldNotRouteOutboundMessageException(MuleEvent, RoutingTarget, Throwable)

Method Summary

Methods inherited from class org.mule.api.routing.RoutingException
`getRoute`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CouldNotRouteOutboundMessageException

    @Deprecated
    public CouldNotRouteOutboundMessageException(MuleMessage message,
                                                            MessageProcessor target)

  Deprecated. use CouldNotRouteOutboundMessageException(MuleEvent, RoutingTarget)

### CouldNotRouteOutboundMessageException

    public CouldNotRouteOutboundMessageException(MuleEvent event,
                                                 MessageProcessor target)

### CouldNotRouteOutboundMessageException

    @Deprecated
    public CouldNotRouteOutboundMessageException(MuleMessage muleMessage,
                                                            MessageProcessor target,
                                                            Throwable cause)

  Deprecated. use CouldNotRouteOutboundMessageException(MuleEvent, RoutingTarget, Throwable)

### CouldNotRouteOutboundMessageException

    public CouldNotRouteOutboundMessageException(MuleEvent event,
                                                 MessageProcessor target,
                                                 Throwable cause)

### CouldNotRouteOutboundMessageException

    @Deprecated
    public CouldNotRouteOutboundMessageException(Message message,
                                                            MuleMessage muleMessage,
                                                            MessageProcessor target)

  Deprecated. use CouldNotRouteOutboundMessageException(Message, MuleEvent, RoutingTarget)

### CouldNotRouteOutboundMessageException

    public CouldNotRouteOutboundMessageException(Message message,
                                                 MuleEvent event,
                                                 MessageProcessor target)

### CouldNotRouteOutboundMessageException

    @Deprecated
    public CouldNotRouteOutboundMessageException(Message message,
                                                            MuleMessage muleMessage,
                                                            MessageProcessor target,
                                                            Throwable cause)

  Deprecated.

### CouldNotRouteOutboundMessageException

    public CouldNotRouteOutboundMessageException(Message message,
                                                 MuleEvent event,
                                                 MessageProcessor target,
                                                 Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.